-- Warhammer 40K recompilation by Arcalane
-- http://forums.datarealms.com/viewtopic.php?f=61&t=25544

-- Unique Faction ID
local factionid = "Blood Angels";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

if CF_BrainPresets then
	CF_BrainPresets[factionid] = {"Assault Chaplain"};
	CF_BrainPresetModules[factionid] = {"W40K.rte"};
end
	
-- Faction name
CF_FactionNames[factionid] = "Blood Angels";
CF_InfantryModules[factionid] = "W40K.rte";
CF_LightWeaponSets[factionid] = {"Bolt Pistol", "Storm Bolter", "Plasma Pistol"}
CF_HeavyWeaponSets[factionid] = {"Bolter", "Stalker Boltgun", "Plasma Rifle", "Imperium Flamer", "Bolt Pistol (Offhand)", "Storm Bolter (Offhand)", "Chain Sword", "Power Sword"}
CF_Probabilities[factionid] = {1 , 1 , 0.2 , 0.1};
CF_ExplosiveSets[factionid] = {"Imperium Frag Grenade", "Imperium Meltabomb", "Astartes Plasma Grenade", "Whirlwind Vengeance Designator"}
CF_ActorSets[factionid] = {"Blood Angel Scout", "Blood Angels Space Marine", "Blood Angels Assault Marine"};
CF_ArmorCrabs[factionid] = nil
CF_ArmorHumans[factionid] = {"Blood Angels Sergeant"}

print ("Load complete "..factionid)